Bug 668591 - Review Request: python26-markupsafe - Implements a XML/HTML/XHTML Markup safe string for Python
Summary: Review Request: python26-markupsafe - Implements a XML/HTML/XHTML Markup safe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 662743 675628
TreeView+ depends on / blocked
 
Reported: 2011-01-10 20:47 UTC by Steve Traylen
Modified: 2011-02-13 00:22 UTC (History)
4 users (show)

Fixed In Version: python26-markupsafe-0.11-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-13 00:22:24 UTC
jeffrey.ness: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2011-01-10 20:47:53 UTC
Spec URL: http://cern.ch/straylen/rpms/python26-markupsafe/python26-markupsafe.spec
SRPM URL: http://cern.ch/straylen/rpms/python26-markupsafe/python26-markupsafe-0.11-2.el5.src.rpm
Description:
A library for safe markup escaping.

This is an EPEL5 only package for python26.

Comment 1 Jeffrey Ness 2011-01-11 18:23:33 UTC
Hello Steve,

This is unofficial as I am not yet sponsored, however below are a few things I noticed.

While attempting to build this package with mock using epel-5-i386 I received some issues:

running install_scripts
+ rm -rf '/var/tmp/python26-markupsafe-0.11-2.el5-root-mockbuild//usr/lib64/python2.6/site-packages/markupsafe/*.c'
+ chmod 755 /var/tmp/python26-markupsafe-0.11-2.el5-root-mockbuild//usr/lib64/python2.6/site-packages/markupsafe/_speedups.so
chmod: cannot access `/var/tmp/python26-markupsafe-0.11-2.el5-root-mockbuild//usr/lib64/python2.6/site-packages/markupsafe/_speedups.so': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.12050 (%install)

running install_scripts
+ chmod 755 /var/tmp/python26-markupsafe-0.11-2.el5-root-mockbuild//usr/lib64/python2.6/site-packages/markupsafe/_speedups.so
chmod: cannot access `/var/tmp/python26-markupsafe-0.11-2.el5-root-mockbuild//usr/lib64/python2.6/site-packages/markupsafe/_speedups.so': No such file or directory
--

The problems seems to be due to explicitly setting python26_sitearch to lib64:

  %global python26_sitearch /usr/lib64/python2.6/site-packages

I would suggest being a bit less strict (or specifying the buildarch), below is the macro I normally use for python_sitearch (http://fedoraproject.org/wiki/Packaging:Python#Macros): 

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

--

Another thing I noticed is in your %files you own everything in the path by this package:

%{python26_sitearch}/*

Please be more specific here as you do not wish to list files owned by other packages in yours:

%{python26_sitearch}/markupsafe/
%{python26_sitearch}/MarkupSafe-0.11-py2.6.egg-info/

Comment 2 Steve Traylen 2011-01-11 20:52:05 UTC
Hi Jeffrey,

http://cern.ch/straylen/rpms/python26-markupsafe/python26-markupsafe.spec
http://cern.ch/straylen/rpms/python26-markupsafe/python26-markupsafe-0.11-3.el5.src.rpm

your comments are both certainly valid, thank you.

I've left the hardcoded 2.6 in the sitearch variable since the whole package
is very hardcoded to 2.6 and RHEL5 anyway. Of course I now use %{_libdir} for
the 32bit vs 64bit.

In fact if use

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

in this case you get an error in koji since %{_pyhton} (python2.6) does
not exist when the .srpm is created.

Steve.

Comment 3 Jeffrey Ness 2011-01-25 19:51:53 UTC
Hello Steve,

I took your SRPM and was able to successfully build in mock using the epel-5-i386 configuration (this config does have Python 2.6).

Below is a more detailed review:

Good:
* rpmlint cean
* Package follows naming guidelines
* Spec file name matches package name
* License is BSD in source and spec file
* BSD is an open source license
* License is included in the package doc
* Source matches upstream: md5sum 48d445941c16d6aa55caf8e148fc0911
* Builds in mock
* All build deps statisfied
* No locale files that need to be marked with %find_lang
* No shared libraries
* No bundled libraries
* Package is not relocatable
* No files listed more than once
* All files and directories created by the package owned by the package and no
others.
* Package contains code, not content.
* No large documentation that needs to be in a separate subpackage
* Nothing in %doc used at runtime
* No GUI application included so no .desktop requirement
* All filenames are valid utf-8
* No scriptlets
* No file dependencies
* No programs so no need for man pages
* Runs %checks with Python test suite

Again this is a non official review, but it should help get the ball rolling.

Jeffrey-

Comment 4 Steve Traylen 2011-01-25 20:16:30 UTC
Hi Jeffery,
Thanks for the unofficial review, I was guessing that you wish to become
a packager but could not see any of your submissions?
Steve.

Comment 5 Jeffrey Ness 2011-01-25 20:58:11 UTC
Hey Steve,

You are very welcome, and you are correct I am trying to get sponsored.

Toshio has been helping me in Package https://bugzilla.redhat.com/show_bug.cgi?id=667155, and I believe I am rather close :)

Jeffrey-

Comment 6 Jeffrey Ness 2011-01-26 20:19:12 UTC
All mentioned problems taken care of.  This package is APPROVED.

Comment 7 Steve Traylen 2011-01-26 21:28:28 UTC
New Package SCM Request
=======================
Package Name: python26-markupsafe
Short Description: Implements a XML/HTML/XHTML Markup safe string for Python
Owners: stevetraylen
Branches: el5
InitialCC:

This is an EPEL5 only package.

Jeffrey,
When you take a package for review
you should click the "take" next to the "assigned" above and set the status
to assigned.

Thanks for the review and welcome.

Comment 8 Jason Tibbitts 2011-01-26 21:36:30 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-01-26 21:54:17 UTC
python26-markupsafe-0.11-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-markupsafe-0.11-3.el5

Comment 10 Fedora Update System 2011-01-27 18:23:37 UTC
python26-markupsafe-0.11-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-markupsafe'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-markupsafe-0.11-3.el5

Comment 11 Fedora Update System 2011-02-13 00:22:19 UTC
python26-markupsafe-0.11-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.